---
title: In the Lon's Thicket of It, S3E4
---

## Current Objectives

- Travel to Lon's Thicket, and experience the suspected trap being setup for Sheila G.

## Events

- Last session, we finally entered into the enchanted door at Lon's Thicket, discovering an entire underground facility. There was some fighting, and some mind-controlling. After a brief scuffle, we are now out-of-combat, and exploring. Meanwhile, Taliah is taking inventory.

- The group returns to the Lon's Thicket group of Bologniah and Co., to "parlay" and understand their means. They run into an arctic elf, Fronell, that explains they've already found some of the weapons, and he offers to brings us to them.
    - At the second-floor landing is Bologniah, with 4 other arctic elves. Fronell continues moving up the staircase, and Withatwist follows him. Sheila G stops to talk with Bologniah. She continues to be a bitch, and moves towards the third-floor. The remainder of the party searches for a control room for the drill.
    - The party finds Taliah and the arctic elf she's working with, taking inventory.
    - Meanwhile, Sir Oliver and Fronell head to the first floor, to the right and all the way to the end of the hallway. There, 6 little doors all made of wood, with a silver rope at the last one. Opening that, reveals a bedroom with a bed, a vanity, and a stand. On the stand are 5 swords, and a sack. He takes the stuff, and moves towards the next weapons location.
    - Back to the party, they enter into a room with a slightly raised floor made of silver (as opposed to the rest of the floor made of marble). Sheila G, at the urge of Boobons, steps onto the slightly raised silver floor, and disappears. Boobons determins Sheila G was _dimension doored_. Sheila G appears in a similar looking room. After a brief investigation, she wanders back to the platform, and returns to the original room. Boobons accompanies this time, and they return to the room. There is a closed door, and upon opening it, they discover the conference room from before (near the anti-magic room and the drill). They hear discussions nearby, and try to sneak up to eavesdrop. As they approach, they hear Bologniah discussing with someone about temperatures, the status of the drill, and how to proceed. They easily discover the sneaking Boobons and Sheila G, and the party moves to discuss with them. After some brief interactions, Bologniah says she is going to report in, and the party follows her.
        - An elf meets up with the group, to inform us that she found some significant magical weapons. The party is generally dismissive and rude in response. The elf heads back to get the stuff. The party continues moving to the first floor, and meets up with Sir Oliver.
        - The party meets up with Gronell and Roe, and Bologniah has them accompany the group. On the way up, the group sees that the _wall of iron_ erected by Boobons was cut by some implement that can super-heat the iron. The group continues to prod Bologniah for answers, and she continues to generally ignore them. There's a brief flash of conflict between Boobons and Bologniah over the attitude, but it calms. Boobons remains outside, while Bologniah slaps a ruby on her forehead and her eyes turn pink. Sheila G stays with Bologniah.
            - Sheila G reveals that space lasers are a thing to Bologniah. And further reveals there are plans for such a thing. And further reveals that "someone" is working on building one. And then immediately reveals that we're funding it.
    - Sir Oliver, meanwhile, is lead to another room with a big box, within which are obviously magic longbows, and a basket with obviously magic arrows. He then continues exploring for more stuff.
    - Meanwhile, Sheila G asks Bologniah what the drill is drilling to. Bologniah isn't sure, but expects it to be some alien technology, from before elves, dwarves, man, and even giants or dragons walked the realm. She's not exactly sure, and she expects the scholars coming to the site will have more theories or information, but notes that it was highly protected for a reason.
    - Meanwhile, Taliah continues taking inventory, and confirms that the architecture is ancient elvish.
    - Meanwhile, Sheila G and Boobons reconvene, and sync.
    - Meanwhile, Sir Oliver heads to the second level, heads right, and at the second of three doorways, there is a room with a broom in the corner, an armor stand, and an arctic elf swinging around a sickle. The elf declares that "Sheila G didn't want this, and so she is taking the sickle." Sir Oliver takes everything else, and then moves with his esocrt back to the first door on the right of the first floor, where there are many coinpurses. In total, 270gp. Sir Oliver continues exploring, finding another bedroom. He eventually meets up again with Sheila G and Boobons. Sir Oliver unloads all the magical weapons and equipment into the Portable Hole. Sir Oliver sits down and pouts.
    - Boobons and Sheila G reconvene with Harvey, and sync up with him. Taliah hears and joins. The group sans Oliver head down to the drill control room, and we converse with the elvish engineers there.
        - We learn that the control room requires understanding an ancient and archaic elvish dialect, and being psychicly sensitive.
        - We learn that the controls are not mechanical in nature.
        - We learn that the drill is mechanical.
        - We learn that the anti-magic field is theorized to have existed before the drill, and that is was placed in the field purposefully, though why is unknown.
        - We learn that the read-out was likely added by wizards, and provides an arcane-based readout tied to a probe for the drill.
        - We learn that the control for the drill is through the probe, which is in the floor of this control room.
    - Sir Oliver finishes pouting, and continues searching for loot.
    - The party begins poorly gathering information about the elf's background, the group he works for, and the leadership. We get some answers, but generally learn that there's no overarching group, so much as a "meeting of minds". The party finally regroups with Sir Oliver, and the searches the remainder of the facility. We don't find much.
        - We find some log books, with dates going back thousands of years, but nothing particularly interesting.
    - We make some small talk, try to get a pistol (to no luck), bid farewell to Reggae Tony, and leave.

- The group discusses their next course of action:
    - Harvey has intention to help Caldur with Calcifer in the Far Territories
    - Sir Oliver has intention to visit the First World, to help his "god" get back, and in order to do this he has to meet Harvey's "god."
    - Boobons wants to travel north of Rhyme, near the realms of Kellymandrax: an old, abandoned dwarven capitol; and there is a source of dark tapestry incursion. Kellymandrax has tried to investigate the dark tapestry source, but all sources sent never returned.

- The group will decide on the next course of action away-from-table! Lon's Thicket quest complete!


## Player Characters

- Stackor/Boobahns, dwarven wizard (James)
- Sheila G, cleric of Cayden Calien (Thans)
- Harvey, birdman monk of many styles (Mike)
- Nataliah, a tiefling alchemist (Bill)
- Sir Oliver Withatwist, "fae-priest" of Count Ranalc and the Twilight Court (Dan)

## Locations
- Lon's Thicket, and the facility underneath it.

## NPCs and Notable Characters
- Reggae Tony
- Bologniah (nee Thalonia), the "leader" of Reggae Tony's group in Lon's Thicket.
- Fronell, sometimes Fronell the Freckeled, an arctic elf of the Lon's Thicket group.
- Gronell and Roe, two half-elves of the Verdant, working with the Lon's Thicket group.
- Trustacious, the Rivethane wizard working with the Lon's Thicket group.

## Other Notes
- Jeff enlightens us of the hidden 6th flavor, developed within the core of Monmon. It is the flavor of "spit", and it is warping the minds of everyone for it's nefarious intentions.
- Sir Oliver's quest is to help Count Ranalc meet with the Forgotten Lord, by helping him find a route to the Crumbling Tower. In exchange, Count Ranalc has offered to assist the group with their ambitions in Rhyme, or elsewhere if we so choose.
